Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 882981 - [abrt] gourmet-0.15.9-5.fc18: convert.py:891:float_to_metric:TypeError: int() argument must be a string or a number, not 'NoneType'
Summary: [abrt] gourmet-0.15.9-5.fc18: convert.py:891:float_to_metric:TypeError: int()...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gourmet
Version: 18
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jef Spaleta
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:e83633b9957914f115f11d4a724...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-03 14:45 UTC by Matteo Settenvini
Modified: 2014-02-05 13:31 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-05 13:31:39 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (1.56 KB, text/plain)
2012-12-03 14:45 UTC, Matteo Settenvini
no flags Details
File: core_backtrace (1.11 KB, text/plain)
2012-12-03 14:45 UTC, Matteo Settenvini
no flags Details
File: environ (1.87 KB, text/plain)
2012-12-03 14:45 UTC, Matteo Settenvini
no flags Details
File: smolt_data (3.13 KB, text/plain)
2012-12-03 14:45 UTC, Matteo Settenvini
no flags Details

Description Matteo Settenvini 2012-12-03 14:45:17 UTC
Description of problem:
Open a recipe with some ingredients. Click on the "Shop" button.

Example of ingredients I have:

100 g Burro
100 g Farina
1 L Latte
Noce Moscata
Sale

Version-Release number of selected component:
gourmet-0.15.9-5.fc18

Additional info:
cmdline:        /usr/bin/python /usr/bin/gourmet
executable:     /usr/bin/gourmet
kernel:         3.6.7-1.fc18.x86_64
uid:            1000

Truncated backtrace:
convert.py:891:float_to_metric:TypeError: int() argument must be a string or a number, not 'NoneType'

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/gourmet/reccard.py", line 425, in shop_for_recipe_cb
    self.rg.sl.addRec(self.current_rec,self.mult,d)
  File "/usr/lib/python2.7/site-packages/gourmet/shopping.py", line 408, in addRec
    self.reset()
  File "/usr/lib/python2.7/site-packages/gourmet/shopgui.py", line 816, in reset
    self.grabIngsFromRecs(self.recs.values(),self.extras)
  File "/usr/lib/python2.7/site-packages/gourmet/shopping.py", line 282, in grabIngsFromRecs
    return self.organize_list(self.lst)
  File "/usr/lib/python2.7/site-packages/gourmet/shopping.py", line 286, in organize_list
    data = self.sh.organize(self.sh.dic)
  File "/usr/lib/python2.7/site-packages/gourmet/shopping.py", line 169, in organize
    itms.append([i,self.amt_to_string(amts)])
  File "/usr/lib/python2.7/site-packages/gourmet/shopping.py", line 122, in amt_to_string
    retstr = self.cnv.amt_string(amts[0])
  File "/usr/lib/python2.7/site-packages/gourmet/convert.py", line 488, in amt_string
    nstring = float_to_frac(num,approx=approx)
  File "/usr/lib/python2.7/site-packages/gourmet/convert.py", line 860, in float_to_frac
    return float_to_metric(n,approx)
  File "/usr/lib/python2.7/site-packages/gourmet/convert.py", line 891, in float_to_metric
    if int(n) != n:
TypeError: int() argument must be a string or a number, not 'NoneType'

Local variables in innermost frame:
format_string: '%.2f'
n: None
approx: 0.01
decimals_to_preserve: 2

Comment 1 Matteo Settenvini 2012-12-03 14:45:20 UTC
Created attachment 656693 [details]
File: backtrace

Comment 2 Matteo Settenvini 2012-12-03 14:45:22 UTC
Created attachment 656694 [details]
File: core_backtrace

Comment 3 Matteo Settenvini 2012-12-03 14:45:28 UTC
Created attachment 656695 [details]
File: environ

Comment 4 Matteo Settenvini 2012-12-03 14:45:30 UTC
Created attachment 656696 [details]
File: smolt_data

Comment 5 Fedora End Of Life 2013-12-21 09:36:57 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Fedora End Of Life 2014-02-05 13:31:43 UTC
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.